---
title: "danog\\Decoder\\UniqueFileIdType: Represents decoded unique bot API file ID type."
description: ""

---
# `danog\Decoder\UniqueFileIdType`
[Back to index](../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

Represents decoded unique bot API file ID type.  




## Constants
* `danog\Decoder\UniqueFileIdType::WEB`: 

* `danog\Decoder\UniqueFileIdType::PHOTO`: 

* `danog\Decoder\UniqueFileIdType::DOCUMENT`: 

* `danog\Decoder\UniqueFileIdType::SECURE`: 

* `danog\Decoder\UniqueFileIdType::ENCRYPTED`: 

* `danog\Decoder\UniqueFileIdType::TEMP`: 

## Properties
* `$name`: `string` 
* `$value`: `int` 

## Method list:
* [`cases(): array`](#cases-array)
* [`from(string|int $value): static`](#from-string-int-value-static)
* [`tryFrom(string|int $value): ?static`](#tryfrom-string-int-value-static)

## Methods:
### `cases(): array`





### `from(string|int $value): static`




Parameters:

* `$value`: `string|int`   



### `tryFrom(string|int $value): ?static`




Parameters:

* `$value`: `string|int`   



---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
